var tutorial_tools =
[
    [ "Tutorial: Real-time curves plotter tool", "tutorial-plotter.html", null ],
    [ "Tutorial: Debug and trace printings", "tutorial-trace.html", [
      [ "Introduction", "tutorial-trace.html#intro_trace", [
        [ "Macros for trace", "tutorial-trace.html#trace_macro", null ],
        [ "Macros for debug", "tutorial-trace.html#debug_macro", null ]
      ] ],
      [ "Debug and trace usage in ViSP library", "tutorial-trace.html#debug_trace_usage", null ],
      [ "Debug and trace usage in your own project", "tutorial-trace.html#example", null ]
    ] ],
    [ "Tutorial: How to use multi-threading capabilities", "tutorial-multi-threading.html", [
      [ "Introduction", "tutorial-multi-threading.html#multi-threading-into", [
        [ "Threading overview", "tutorial-multi-threading.html#multi-threading-into-thread", null ],
        [ "Mutexes overview", "tutorial-multi-threading.html#multi-threading-into-mutex", null ]
      ] ],
      [ "Pass multiple arguments and / or retrieve multiple return values", "tutorial-multi-threading.html#pass-multiple-arguments-return-values", null ],
      [ "Multi-threaded capture and display", "tutorial-multi-threading.html#multi-threading-capture", [
        [ "Includes and declarations", "tutorial-multi-threading.html#multi-threading-capture-declaration", null ],
        [ "Capture thread", "tutorial-multi-threading.html#multi-threading-capture-function", null ],
        [ "Display thread", "tutorial-multi-threading.html#multi-threading-capture-display-function", null ],
        [ "Main thread", "tutorial-multi-threading.html#multi-threading-capture-main", null ]
      ] ],
      [ "Extension to face detection", "tutorial-multi-threading.html#multi-threading-face-detection", [
        [ "Face detection thread", "tutorial-multi-threading.html#multi-threading-face-detection-function", null ],
        [ "Main thread", "tutorial-multi-threading.html#multi-threading-face-detection-main", null ]
      ] ]
    ] ],
    [ "Tutorial: Threaded PCL viewer", "tutorial-pcl-viewer.html", [
      [ "Introduction", "tutorial-pcl-viewer.html#pcl_viewer_intro", null ],
      [ "Requirements", "tutorial-pcl-viewer.html#pcl_viewer_requirements", null ],
      [ "How to run the tutorial", "tutorial-pcl-viewer.html#pcl_viewer_howtorun", null ],
      [ "Point clouds visualization example explained", "tutorial-pcl-viewer.html#pcl_viewer_example", [
        [ "Main code explained", "tutorial-pcl-viewer.html#pcl_viewer_main", null ],
        [ "Code of the example class explained", "tutorial-pcl-viewer.html#pcl_viewer_class", [
          [ "Generation of the polynomial surfaces used in this example", "tutorial-pcl-viewer.html#pcl_viewer_class_generation", null ],
          [ "How to use the vpPclViewer class to display the point clouds", "tutorial-pcl-viewer.html#pcl_viewer_class_usage", null ]
        ] ]
      ] ],
      [ "Known issues", "tutorial-pcl-viewer.html#pcl_viewer_known_issues", [
        [ "Known issue on MacOS", "tutorial-pcl-viewer.html#pcl_viewer_issues_MacOs", null ],
        [ "Known issue on Ubuntu 22.04", "tutorial-pcl-viewer.html#pcl_viewer_issues_ubuntu", null ]
      ] ]
    ] ],
    [ "Tutorial: Using JSON serialization to save your data and read program arguments", "tutorial-json.html", [
      [ "Introduction", "tutorial-json.html#tuto-json-intro", [
        [ "JSON overview", "tutorial-json.html#tuto-json-overview", null ],
        [ "Defining a JSON conversion for your types", "tutorial-json.html#tuto-json-custom-conversion", null ]
      ] ],
      [ "Example: Using JSON for a visual servoing experiment", "tutorial-json.html#tuto-json-ibvs", [
        [ "Using JSON for program arguments", "tutorial-json.html#tuto-json-ibvs-arguments", null ],
        [ "Collecting and saving visual servoing data", "tutorial-json.html#tuto-json-ibvs-saving", null ],
        [ "Reusing the data in Python to generate plots", "tutorial-json.html#tuto-json-ibvs-python", null ]
      ] ],
      [ "Next tutorial", "tutorial-json.html#tuto-json-next", null ]
    ] ],
    [ "Tutorial: Generating synthetic data for deep learning with Blenderproc", "tutorial-synthetic-blenderproc.html", [
      [ "Introduction", "tutorial-synthetic-blenderproc.html#dnn_synthetic_intro", null ],
      [ "Requirements", "tutorial-synthetic-blenderproc.html#dnn_synthetic_install", null ],
      [ "Running the object-centric generation script", "tutorial-synthetic-blenderproc.html#dnn_synthetic_script", [
        [ "3D model format", "tutorial-synthetic-blenderproc.html#dnn_input_objects", null ],
        [ "Generation configuration", "tutorial-synthetic-blenderproc.html#dnn_input_configuration", null ]
      ] ],
      [ "Running the script to generate data", "tutorial-synthetic-blenderproc.html#dnn_run_script", null ],
      [ "Using and parsing the generation output", "tutorial-synthetic-blenderproc.html#dnn_output", [
        [ "Using detections to finetune a YoloV7", "tutorial-synthetic-blenderproc.html#dnn_output_yolov7", null ],
        [ "Parsing HDF5 with a custom script", "tutorial-synthetic-blenderproc.html#dnn_output_custom_parsing", null ]
      ] ],
      [ "Next steps", "tutorial-synthetic-blenderproc.html#dnn_synthetic_next", null ]
    ] ]
];